BEGIN ~rukra25p~

IF ~Global("RukrakiaKickedOut","GLOBAL",0)
    !Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 DO ~JoinParty()~ EXIT
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @2 DO ~~ GOTO 1
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @4 DO ~~ GOTO 2
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @3 DO ~~ GOTO 3
  IF ~AreaCheck("AR4500")~ THEN REPLY @9 GOTO 4
END

IF ~~ THEN BEGIN 1
  SAY @5
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 2
  SAY @11
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @3 GOTO 3
  IF ~~ THEN REPLY @13 GOTO 1
END

IF ~~ THEN BEGIN 3
  SAY @12
  IF ~~ THEN DO ~SetGlobal("RukrakiaKickedOut","GLOBAL",1)
                 CreateVisualEffectObject("SPDIMNDR",Myself)
                 Wait(2)
                 MoveBetweenAreas("AR4500",[1476.1477],9)
                 SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @10
  IF ~~ THEN DO ~SetGlobal("RukrakiaKickedOut","GLOBAL",1)
                 MoveToPointNoInterrupt([1476.1477])
                 Face(9)~ EXIT
END

IF ~True()
    Global("RukrakiaKickedOut","GLOBAL",1)~ THEN BEGIN 5
  SAY @6
  IF ~~ THEN REPLY @7 DO ~SetGlobal("RukrakiaKickedOut","GLOBAL",0)
                          JoinParty()~ EXIT
  IF ~~ THEN REPLY @8 EXIT
END

IF ~Global("RukrakiaKickedOut","GLOBAL",0)
    !Global("RukrakiaRomanceActive","GLOBAL",5)~ THEN BEGIN 6
  SAY @14
  IF ~~ THEN REPLY @1 GOTO 11
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @2 DO ~~ GOTO 7
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @4 DO ~~ GOTO 8
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @3 DO ~~ GOTO 9
  IF ~AreaCheck("AR4500")~ THEN REPLY @9 GOTO 10
END

IF ~~ THEN BEGIN 7
  SAY @16 = @17
  IF ~~ THEN DO ~SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 8
  SAY @11
  IF ~!AreaCheck("AR4500")
      !AreaCheck("AR4000")
      !AreaCheck("AR6200")~ THEN REPLY @3 GOTO 9
  IF ~~ THEN REPLY @13 GOTO 7
END

IF ~~ THEN BEGIN 9
  SAY @19
  IF ~~ THEN DO ~SetGlobal("RukrakiaKickedOut","GLOBAL",1)
                 CreateVisualEffectObject("SPDIMNDR",Myself)
                 Wait(2)
                 MoveBetweenAreas("AR4500",[1476.1477],9)
                 SetGlobal("RukrakiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 10
  SAY @18
  IF ~~ THEN DO ~SetGlobal("RukrakiaKickedOut","GLOBAL",1)
                 MoveToPointNoInterrupt([1476.1477])
                 Face(9)~ EXIT
END

IF ~~ THEN BEGIN 11
  SAY @15
  IF ~~ THEN DO ~JoinParty()~ EXIT
END